Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Why does it keep saying you need to upgrade in vision soft?

Discussion in 'Phantom 2 Vision Discussion' started by pugnacious, Mar 29, 2014.

  1. pugnacious

    Joined:
    Mar 22, 2014
    Messages:
    69
    Likes Received:
    0
    Hi
    When I open the vision software, I can't select any of the advanced tabs etc because it says 'you must update controller firmware'
    despite having just done it.
    The only way to bypass this is to upgrade the receiver (even though it doesn't need it) and not power cycle it.
    It is both weird and annoying

    [​IMG]
     
  2. pugnacious

    Joined:
    Mar 22, 2014
    Messages:
    69
    Likes Received:
    0
    Re: Why does it keep saying you need to upgrade in vision so

    Ignore this. There was a bug in in the software that was stopping it from seeing that there was a real update